Download line of credit document

This request downloads a line of credit document saved within the account.

   Click here to learn more about this request

Line of credit documents are often used in lending to keep copies of a borrower's account agreement and more. Note the following when using this request:

This request downloads a line of credit document that is saved within the account.

The endpoint of this request requires the ID of the file. To find the ID of a loan document, send a GET request to the LineOfCreditDocuments object:

https://loanpro.simnang.com/odata.svc/LineOfCredits({id})/LineOfCreditDocuments

The endpoint of this request also requires the name of the file. This is a value that's generated by the system when the file is uploaded—not the name of the file shown in the UI. This value isn't shown in the UI, and it's stored within the FileAttachment object nested within the Documents object. To find this value, send a GET request to the following endpoint:

https://loanpro.simnang.com/odata.svc/LineOfCredits({id})/LineOfCreditDocuments({id})?$select=FileAttachment&$expand=FileAttachment

The response from the request above will include system-generated filename within the "fileName" field. The value in this field is what will be included in the endpoint to download the file. Here's an example of what to look for:

{
    "d": {
        "__metadata": {
            "uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/LineOfCreditDocuments(id=1)",
            "type": "Entity.LineOfCreditDocument"
        },
        "FileAttachment": {
            "__metadata": {
                "uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/FileAttachments(id=510)",
                "type": "Entity.FileAttachment"
            },
            "id": 510,
            "parentType": "Entity.LineOfCreditDocument",
            "parentId": 1,
            "fileName": "filename_64df8d81db51dd7d7deff2409a3b80179276872bc8429.jpg", //👈 This is the field you're looking for.
            "fileOriginalName": "filename.jpg",
            "fileSize": 35524,
            "fileMime": "image/jpeg",
            "fileUrl": null
        },
        "summary": {
            "start": 0,
            "pageSize": 1,
            "total": 1
        }
    }
}

For an example of how loan documents work within the UI, take a look at our Uploading documents article.

Database

For information regarding line of credit document database tables, see the following articles:

Path Params
int32
required

The ID of your tenant.

int32
required

The ID of the line of credit document.

string
required

The document file name.
> This is the filename that's generated by the system. To pull it, you will need to send the GET request detailed above.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json